<%= form_with(model: reservation, local: true) do |form| %>
  <% if reservation.errors.any? %>
    <div id="error_explanation">
      <h2><%= pluralize(reservation.errors.count, "error") %> prohibited this reservation from being saved:</h2>

      <ul>
        <% reservation.errors.full_messages.each do |message| %>
          <li><%= message %></li>
        <% end %>
      </ul>
    </div>
  <% end %>

  <div class="field">
    <%= form.label :active %>
    <%= form.check_box :active %>
  </div>

  <div class="field">
    <!--<%= form.label :client_id %>
    <%= form.text_field :client_id %>-->
    <%= collection_select(:reservation, :client_id, Client.all, :id, :name) %>
  </div>

  <div class="field">
    <!--<%= form.label :book_id %>
    <%= form.text_field :book_id %>-->
    <%= collection_select(:reservation, :book_id, Book.all, :id, :name) %>
  </div>

  <div class="field">
    <!--<%= form.label :librarian_id %>
    <%= form.text_field :librarian_id %>-->
    <%= collection_select(:reservation, :librarian_id, Librarian.all, :id, :name) %>
  </div>

  <div class="actions">
    <%= form.submit %>
  </div>
<% end %>
